For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETRetrieves all project templates.
      • POSTCreates a new project template.
      • GETRetrieves a specific project template.
      • PUTUpdates an existing project template.
      • DELDeletes a project template.
      • GETRetrieves all project statuses of a project template.
      • POSTAdds a project status to a project template.
      • GETRetrieves the task bundle associated with a project template.
      • GETReturns all task statuses of the project template with the specified id.
      • POSTCreates a new task status for the specified project template.
      • GETReturns the task status of the project template with the specified id.
      • PUTUpdates a task status for the specified project template.
      • DELDeletes the task status of the project template with the specified id.
      • POSTUpdates the order of a project status within a project template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Templates

Adds a project status to a project template.

POST
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/projectstatuses
POST
/api/v1/projecttemplates/:projectTemplateId/projectstatuses
$curl -X POST https://api.awork.com/api/v1/projecttemplates/projectTemplateId/projectstatuses \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "In Progress",
> "type": "progress"
>}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "name": "In Progress",
4 "type": "progress",
5 "order": 2,
6 "createdOn": "2024-01-15T09:30:00Z",
7 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
8 "updatedOn": "2024-01-15T09:30:00Z",
9 "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
10 "projectId": "123e4567-e89b-12d3-a456-426614174000",
11 "workflowId": "123e4567-e89b-12d3-a456-426614174000",
12 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
13 "isExternal": true
14}
<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Retrieves the task bundle associated with a project template.

Next
Built with
Required Permissions
The user must be an admin or have project-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template.

Request

The model to add the project status to the template.
namestringRequired0-255 characters
The name of the project status.
typestringRequired0-25 characters

Specifies the general type of this project status. Accepted values: ‘progress’, ‘not-started’, ‘closed’, ‘stuck

Response

OK
idstringformat: "uuid"
The primary identifier of this project status.
namestring or null
The name of the project status.
typestring or null
The general type of this project status.
orderinteger or null
The order of this status.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
projectTemplateIdstring or nullformat: "uuid"
The id of the project template of the status.
projectIdstring or nullformat: "uuid"
The id of the project the status belongs to.
workflowIdstring or nullformat: "uuid"
The id of the workflow linked to this project status.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
isExternalboolean

True if the project status is coming from an external workspace (awork Connect).

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error